sl={}
--slider rectangle
function sl:CheckCollision(ax1,ay1,aw,ah, bx1,by1,bw,bh)
  local ax2,ay2,bx2,by2 = ax1 + aw, ay1 + ah, bx1 + bw, by1 + bh
  return ax1 < bx2 and ax2 > bx1 and ay1 < by2 and ay2 > by1
end

function sl:load()
	self.slider={x=75,y=50,w=50,h=5,direction=0,color={0,49,51} }
end
function sl:update(dt)
	--updater
	self.slider.y =self.slider.y + (self.slider.direction * dt)
	
	--bounce
	if self.slider.y == lb.line.y1 or self.slider.y <= lb.line.y1 then
		self.slider.direction = (game.speed)
	elseif self.slider.y > lb.line.y2 then
		self.slider.direction = -(game.speed)
	end
	--collision
	if self:CheckCollision( self.slider.x, self.slider.y, self.slider.w, self.slider.h , 
					   lb.rectangle.x, lb.rectangle.y, lb.rectangle.w, lb.rectangle.h ) then
		game.sound:play()
	    lb.rectangle.active= true
	else
		lb.rectangle.active= false
	end
	
end
function sl:draw()
	local color =love.graphics.setColor
	local line  =love.graphics.line
	local rec   =love.graphics.rectangle
	
	color(self.slider.color)
	rec("fill",self.slider.x, self.slider.y, self.slider.w, self.slider.h)
end
