game={}

function game:load()
	require"Lb"
	require"SL"
	require"Bs"
	self.sound =love.audio.newSource("sound/Bassdrum.wav", "static")
	self.sound:setVolume(0.9)
	self.sound:setPitch(1)	
	self.speed =50
	
	
	lb:load()
	sl:load()
	bs:load()	
end
function game:update(dt)
	lb:update(dt)
	sl:update(dt)
	bs:update(dt)
	if self.speed <= 50 then 
		self.speed=50
	elseif self.speed >= 300 then 
		 self.speed=300
	end
end
function game:draw()
    -- round down our value
    local sp= math.floor(self.speed)
	local color =love.graphics.setColor
	local print =love.graphics.print
	
	color(255,255,255)
	print("SPEED: "..sp ,10,10)
	
	
	lb:draw()
	sl:draw()
	bs:draw()
end
function game:mousepressed(x, y, button)
	lb:mousepressed(x, y, button)
	bs:mousepressed(x, y, button)
end
function game:mousereleased(x, y, button)
	bs:mousereleased(x, y, button)
end
function game:keypressed( key, unicode )
end
function game:keyreleased( key, unicode)
end
function game:focus(f)
end
function game:quit()
end