lb={}
--line and center button
function lb:load()
	self.line={ x1=100, y1=50, x2=100, y2=350, color={65,129,127} }
	self.rectangle={ x=0,y=175,w=12,h=12, c1={13,77,75}, c2={207,104,112},active=false }	
end
function lb:update(dt)
	self.rectangle.x =self.line.x1-6
end
function lb:draw()
	local color =love.graphics.setColor
	local line  =love.graphics.line
	local rec   =love.graphics.rectangle
	
	color(self.line.color)
	line(self.line.x1, self.line.y1, self.line.x2, self.line.y2 )	
	--color change
	if self.rectangle.active==false then
		color(self.rectangle.c1)
	elseif self.rectangle.active==true then	
		color(self.rectangle.c2)
	end	
	rec("fill",self.rectangle.x, self.rectangle.y, self.rectangle.w, self.rectangle.h)
end

function lb:mousepressed(Mx, My, button)
    if button == "l" and Mx > self.rectangle.x and Mx < self.rectangle.x + self.rectangle.w 
	and My > self.line.y1 and My < self.line.y2 then
        self.rectangle.y = My
	end
   
end